<div class="flex flex-col flex-auto min-w-0">
    <mat-card>
        <mat-card-header class="bg-blue-800 justify-center rounded-t-lg">
            <mat-label class="mb-4 text-xl text-white">Modified Ranking Scale</mat-label>
        </mat-card-header>

        <div class="flex flex-col divide-y">
            <div class="card-body">
                <ngx-spinner  color="#fff" type="ball-clip-rotate-multiple" size="medium">
                    <p class="myLoading">Loading Datas...</p>
                </ngx-spinner>
            </div>
            <div *ngFor="let r of rowsQuestions; let i= index">
                <!-- Radio  element type = 2-->
                <div class="flex flex-col" *ngIf="r.element_type_id == '2'">
                    <label id="example-radio-group-label" class="font-bold">{{r.question_text}}</label>
                    <mat-radio-group name={{r.question_id}} [(ngModel)]="r.answer_score" (change)="onRadioChange($event)">
                        <mat-radio-button class="flex flex-col content-center" name="r.question_id" id={{ra.answer_id}} [value]="j" *ngFor="let ra of r.answer; let j= index">
                            {{ra.answer_text}}
                            <mat-form-field name={{r.question_id}} class="example-full-width myMatform" *ngIf="ra.is_note == 'Y'">
                                <input matInput placeholder="ระบุ.." name={{r.question_id}} [value]="r.note_text"  (keyup)="onKeyIn($event)">
                            </mat-form-field>
                        </mat-radio-button>
                    </mat-radio-group>
                </div>

                <!-- Date  element type = 6-->
                <div class="flex flex-row gap-5 items-center" *ngIf="r.element_type_id == '6'">
                    <label id="example-radio-group-label " class="font-bold">{{r.question_text}}</label>
                    <mat-form-field name={{r.question_id}} color="accent" class="example-form-field mr-2 myMatDate" appearance="outline">
                        <input name={{r.question_id}} matInput [matDatepicker]="picker1" [(ngModel)]="r.answer_text" (click)="picker1.open()" (dateChange)="onDateSelect($event)">
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                    </mat-form-field>
                </div>

                <!-- Input  element type = 1-->
                <div class="flex flex-row gap-5 items-center" *ngIf="r.element_type_id == '1'">
                    <label id="example-radio-group-label " class="font-bold">{{r.question_text}}</label>
                    <mat-form-field name={{r.question_id}} class="example-full-width myMatInput">
                        <input name={{r.question_id}} matInput placeholder=".." [value]="r.answer_text" (keyup)="onKeyInAnswerText($event)">
                    </mat-form-field>
                </div>

                <!-- checkbox  element type = 3-->
                <div class="flex flex-col" *ngIf="r.element_type_id == '3'">

                    <label id="example-radio-group-label" class="font-bold">{{r.question_text}}</label>
                    <section class="example-section" *ngFor="let ra of r.answer; let j= index">
                        <!-- <mat-checkbox name={{ra.answer_text}} class="flex flex-col content-center"  id={{ra.answer_id}} value={{ra.answer_id}}  -->

                        <mat-checkbox name={{ra.answer_text}} class="w-fit mr-2" id={{r.question_id}} value={{ra.answer_id}}
                            
                            (change)="onCheckboxChange($event)" >
                            {{ra.answer_text}}
                        </mat-checkbox>
                    </section>

                  
                </div>
         
            </div>

            <div>
                <div class=" w-full mt-4 mb-2">
                    <mat-card-actions class="grid justify-items-center">
                        <button mat-button class="bg-green-400" (click)="saveEvaluate()">
                            <mat-icon class="text-black">save</mat-icon>
                            บันทึก
                        </button>
                    </mat-card-actions>
                </div>
            </div>

        </div>

    </mat-card>
</div>
